Subject: Re: bug#12895: 24.3.50; Replacement for flet

From: Antoine Levitt <[email-masked]>
Date: Tue, 9 Feb 2016 21:36:34 +0100

That does the trick, thanks for taking the time to respond to such an old
bug report :-)

On 31 January 2016 at 18:42, Michael Heerdegen <[email-masked]>
wrote:

> Antoine Levitt <[email-masked]> writes:
>
> > I did like flet, though, and in general, I think it's annoying to users
> > to remove/deprecate functionality that are neat ways to get inside lisp
> > code from outside (dynamic-scoping overrides, advices, etc.)  just
> > because they are bad practice and make debugging harder.
>
> BTW, let me add to the (valid) warnings that this can still be achieved
> with cl-letf:
>
>     (cl-letf (((symbol-function 'some-function) #'some-other-function))
>       code...)
>
> The created binding to the symbol-function place is dynamical.
>
>
> Michael.
>